> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # Get design resize job To use this API, your app must act on behalf of a user that's on a Canva plan with premium features (such as Canva Pro). Users on the Canva Free plan have access to a limited trial. For more information, see [Trial quotas](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#trial-quotas). Gets the result of a design resize job that was created using the [Create design resize job API](https://www.canva.dev/docs/apps/rest-apis/reference/resizes/create-design-resize-job/). If the job is successful, the response includes a summary of the new resized design, including its metadata. You might need to make multiple requests to this endpoint until you get a `success` or `failed` status. For more information on the workflow for using asynchronous jobs, see [API requests and responses](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#asynchronous-job-endpoints). ## HTTP method and URL path GET https\://api.canva.com/rest/v1/resizes/\{jobId} This operation is rate limited to 120 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `design:content:read` * `design:content:write` ### Capabilities The user must have at least one of the following [capabilities](/docs/apps/rest-apis/capabilities/): * `resize` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Path parameters The design resize job ID. ## Example request Examples for using the `/v1/resizes/{jobId}` endpoint: ```sh curl --request GET 'https://api.canva.com/rest/v1/resizes/{jobId}' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/resizes/{jobId}", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/resizes/{jobId}")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/rest/v1/resizes/{jobId}", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/rest/v1/resizes/{jobId}"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/rest/v1/resizes/{jobId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/resizes/{jobId}", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/resizes/{jobId}') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: Details about the design resize job. Properties of job} defaultExpanded={true}> The design resize job ID. Status of the design resize job. **Available values:** * `in_progress` * `success` * `failed` Design has been created and saved to user's root ([projects](https://www.canva.com/help/find-designs-and-folders/)) folder. Properties of result}> Basic details about the design, such as the design's ID, title, and URL. Properties of design}> The design ID. A temporary set of URLs for viewing or editing the design. Properties of urls}> A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. When the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch). When the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch). The design title. URL of the design. A thumbnail image representing the object. Properties of thumbnail}> The width of the thumbnail image in pixels. The height of the thumbnail image in pixels. A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail. The total number of pages in the design. Some design types don't have pages (for example, Canva docs). WARNING: Trials and trial information are a [preview feature](https://www.canva.dev/docs/apps/rest-apis/#preview-apis). There might be unannounced breaking changes to this feature which won't produce a new API version. Trial information for non-qualifying users. Non-qualifying users have a limited number of resize uses. Once the trial is exhausted, users must upgrade to a Canva plan with premium features (such as Canva Pro) to continue using the Resize API. Properties of trial_information}> The number of uses remaining in the free trial. The URL for a user to upgrade their Canva account. If the design resize job fails, this object provides details about the error. Properties of error}> **Available values:** * `thumbnail_generation_error` * `design_resize_error` * `create_design_error` * `trial_quota_exceeded` A human-readable description of what went wrong. ## Example responses ### In progress job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "in_progress" } } ``` ### Successfully completed job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "success", "result": { "design": { "id": "DAGirp_1ZUA", "title": "My summer holiday", "thumbnail": { "width": 595, "height": 335, "url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?" }, "urls": { "edit_url": "https://www.canva.com/design/DAGhRehVa2c/0L_1s4UXSpZhls8EtPaRKw/edit", "view_url": "https://www.canva.com/design/DAGhRehVa2c/0L_1s4UXSpZhls8EtPaRKw/view" }, "created_at": 1742856750, "updated_at": 1742856752, "page_count": 5 }, "trial_information": { "uses_remaining": 0, "upgrade_url": "https://www.canva.com/?tailoringUpsellDialog=GENERIC_C4W" } } } } ``` ### Failed job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "failed", "error": { "code": "design_resize_error", "message": "Failed to resize the design" } } } ``` ## Error responses ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The design resize job was not found ```json { "code": "not_found", "message": "Job {jobId} not found" } ```